Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 657795 - Review Request: libspatialite - Enables SQLite to support spatial data
Summary: Review Request: libspatialite - Enables SQLite to support spatial data
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: viji
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-28 00:49 UTC by Volker Fröhlich
Modified: 2011-01-18 17:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-18 17:56:06 UTC
Type: ---
vijivijayakumar: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2010-11-28 00:49:11 UTC
This package is new to Fedora.

Spec URL: http://www.geofrogger.net/review/libspatialite.spec
SRPM URL: http://www.geofrogger.net/review/libspatialite-2.4.0-0.1.RC4.fc13.src.rpm

Description:

SpatiaLite extension enables SQLite to support spatial data, in a way conformant to OpenGIS specifications. It implements spatial indices, spatial functions and supports metadata.

Comment 1 Volker Fröhlich 2010-11-28 00:56:31 UTC
Will probably change the summary to "A complete Spatial DBMS in a nutshell", which I just found.

Comment 2 Volker Fröhlich 2010-12-01 23:33:11 UTC
Spec URL: http://www.geofrogger.net/review/libspatialite.spec
SRPM URL:
http://www.geofrogger.net/review/libspatialite-2.4.0-0.2.RC4.fc13.src.rpm

I stepped back from the alternative summary again. Libspatialite is originally distributed including SQLite and I think this summary reflects that.

Comment 3 viji 2010-12-02 15:17:42 UTC
Looks fine, few observations:

- There is a shared-lib-calls-exit issue  - /usr/lib64/libspatialite.so.2.0.4 exit@GLIBC_2.2.5. See if we can patch it OR leave as it is, not a big deal.

- Try to include the following as doc

%doc AUTHORS COPYING INSTALL README

- We can also put

Requires : proj geos gdal sqlite

Comment 4 Volker Fröhlich 2010-12-03 01:08:47 UTC
I added a buildroot, because this package could be interesting for EL.

README only contains installation instructions, as does INSTALL. Therefore I won't include these two.

The Requires are automatically generated. GDAL is not required either way.

Concerning the exit call: I've got no experience in that. I can report it upstream though, if it's not known yet.

Comment 6 viji 2010-12-04 17:12:24 UTC
Everything looks fine, APPROVED

Please inform upstream regarding the shared lib exit call.

Go ahead and close this after the SCM approval, once you finish the package for rawhide.

Comment 8 viji 2010-12-05 06:12:48 UTC
go ahead and file an SCM

Comment 9 Volker Fröhlich 2010-12-05 11:51:51 UTC
New Package SCM Request
=======================
Package Name: libspatialite
Short Description: Enables SQLite to support spatial data
Owners: volter
Branches: f13 f14 el6
InitialCC:

Comment 10 Volker Fröhlich 2010-12-05 11:52:45 UTC
I redefined the if clause for %configure to work with RHEL.

Spec URL: http://www.geofrogger.net/review/libspatialite.spec
SRPM URL:
http://www.geofrogger.net/review/libspatialite-2.4.0-0.4.RC4.fc13.src.rpm

Comment 11 Volker Fröhlich 2010-12-05 12:52:35 UTC
New Package SCM Request
=======================
Package Name: libspatialite
Short Description: Enables SQLite to support spatial data
Owners: volter
Branches: f13 f14 el6
InitialCC:

Comment 12 Jason Tibbitts 2010-12-06 16:01:14 UTC
Git done (by process-git-requests).

Comment 13 Volker Fröhlich 2010-12-23 11:53:48 UTC
Upstream's response on the exit calls:

"I've found a single exit() reference,
related with some flex auto-generated
code (WKT parser), and is intended to
terminate the parser just in the case of
some absolutely unexpected catastrophic 
failure."


Note You need to log in before you can comment on or make changes to this bug.